<meta http-equiv="Content-Type" content="text/html; charset=windows-874">
<?php

include("config.inc.php") ;
mysql_select_db($db) ;

// ไฟล์ setup สำหรับสร้างตารางต่างๆ ในการทำงานของโปรแกรม member-full-option

// สร้างตาราง admin
$sql[0] = "CREATE TABLE admin_member (
  user varchar(40) NOT NULL ,
  password varchar(40) NOT NULL)" ;

// สร้างตาราง member
$sql[1] = "CREATE TABLE member (
  id int(6) NOT NULL default '0' auto_increment,
  member_id varchar(20) NOT NULL ,
  name varchar(50) NOT NULL ,
  date int(2) NOT NULL default '0',
  month int(2) NOT NULL default '0',
  year varchar(4) NOT NULL ,
  age varchar(3) NOT NULL ,
  sex varchar(8) NOT NULL ,
  address varchar(150) NOT NULL ,
  amper varchar(40) NOT NULL ,
  province varchar(40) NOT NULL ,
  zipcode varchar(15) NOT NULL ,
  phone varchar(10) NOT NULL ,
  education varchar(30) NOT NULL ,
  work varchar(30) NOT NULL ,
  user varchar(30) NOT NULL ,
  password varchar(30) NOT NULL ,
  email varchar(40) NOT NULL ,
  signup varchar(40) NOT NULL ,
  PRIMARY KEY  (id)) " ;

// สร้างตารางฟอร์มส่งเมล์อวยพรวันเกิด
$sql[2] = "CREATE TABLE mail (
  subject varchar(120) NOT NULL ,
  form_mail longtext NOT NULL )" ;

// บันทึก user และ password ลงสู่ตาราง admin สำหรับ admin
$sql[3] = "INSERT INTO admin_member (user,password) VALUES ('admin', 'admin')" ;

for($i=0;$i<4;$i++) {
$result = mysql_query($sql[$i]) ;
}

if($result) {
echo "<br><br><center><font size=\"3\" face='MS Sans Serif'><b>สวัสดีครับ ขณะนี้ระบบได้สร้างตารางในการใช้งานสำเร็จแล้วครับ</b></font></center>" ;
}
else {
echo "<br><br><center><font size=\"3\" face='MS Sans Serif'><b>ไม่สามารถสร้างตารางในการใช้งานได้ครับ กรุณาตรวจสอบว่ามีฐานข้อมูลหรือยัง" ;
echo "<br>หรือคุณอาจจะสร้างตารางไปเรียบร้อยแล้ว ถ้าไม่อย่างนั้นก็ลองตรวจสอบข้อมูลในไฟล์ config.inc.php ดูนะครับ</b></font></center>" ;
}

?>